commit:     2776bc38da92e4aaf0e0a30eece7aae438850534
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Mon Dec  3 11:34:23 2018 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Tue Dec  4 15:27:13 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2776bc38

app-misc/elasticsearch: bump to 6.5.1

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 app-misc/elasticsearch/Manifest                   |  2 +
 app-misc/elasticsearch/elasticsearch-6.5.1.ebuild | 91 +++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/app-misc/elasticsearch/Manifest b/app-misc/elasticsearch/Manifest
index f2674b52a8e..0e1c85c251a 100644
--- a/app-misc/elasticsearch/Manifest
+++ b/app-misc/elasticsearch/Manifest
@@ -1,5 +1,7 @@
 DIST elasticsearch-5.6.13.tar.gz 33894848 BLAKE2B 
d6b486154c4b4df155e443adee7d07200822f4a14f9cc50753e5b4621630c3b5de7b6b3d3ad7745b898f5a24c02aaddbec05aaf0f5d38fbda8acd78eed433939
 SHA512 
dbda463f0fba0b921ac65ca8743f53cb21410001cb6113aeaa2bfe3e22fbdac9f9010a3bdd2df5b8bc6c7cd59513d9fbac8b408d22d2b885ff5dadbb463b7981
 DIST elasticsearch-6.3.2.tar.gz 91452574 BLAKE2B 
c422990fabad70e6e77e8f59f6fb9e9bf5a84eb7e6b8b67dfd91f53e474b1b501b3a1d5ea8f54f0793631504f194a116e816eb3558782b67c8dadecbc2711ee5
 SHA512 
954cd1e16a5f2e0b0efaeb7e6b19c708d1588d30814a31defb09037c3b90f78c5e9dbd1ca9af9c700d517145a4279bacc1d8ce7cc6894fbe7bf71eec9ed3110d
 DIST elasticsearch-6.4.3.tar.gz 97872736 BLAKE2B 
e8c5db4f7238afccce4cf1ca0eced7b7e97891455cd28583eafd7ba028ba3cbc3596cedb2dc4267e677b3c7bbd459b8144284eca358f8c0e34a9a0b8a33426a8
 SHA512 
2f48720fd1644b1d0f103ca93bd19632c2a12bd3c94434ddf58bc692cb0b23631222f8d23cc0d0e85e271e11099fe0fc8aedf402906b76845ad680eb592f8987
+DIST elasticsearch-6.5.1.tar.gz 113317061 BLAKE2B 
37fcff019080e02d2dd0a1bccd0dd77903e2cf395f20fcbefb5cd45e60a187fd9394b60bfc136198f1c246289a9d1f494ce39d5024f728cc2409b87131b3f3d1
 SHA512 
f64474a4bf61cec72b4b6391747add6c12824f0f98a01da6745bc7a35811ba9a32f6fd9366042655113e344857bb7be1b764cb5442a98ca6d1745147fa80198c
 DIST elasticsearch-oss-6.3.2.tar.gz 29418577 BLAKE2B 
152640dc01a10f44ba43f87f68361cc0dd5e1cf54d0ff92377f3acd1a12a247f002ffe2d003cc53760e891278249c10b1d6d4eb978b0bb1c1ebf8879a2cfcb9a
 SHA512 
3c51a860414f7e55900b1d9a350bdbc3e673c8445e316454c2480315b4b9fc08df58090c6281cecc3ae63d12d78d6bd58e228b3371aa325db799ce18758a21f4
 DIST elasticsearch-oss-6.4.3.tar.gz 33727639 BLAKE2B 
b4f4821af7a2447a6a16158c32bf676ebbfd8598fde8af558dd19d6e365df66be17d0984e3acb9380a0d5e0cff486b85f6edf96312bd3bb3fc5ae52c270306f3
 SHA512 
b1147baa95119a8a96779125351358b4c62f2a546b65a9750c11d1d1b9270f06db6da8ff1d9ad11efade1eaea8487087e2d8839b0edfc5da6d9b54da6c6df4e7
+DIST elasticsearch-oss-6.5.1.tar.gz 34259848 BLAKE2B 
b489a1668e627bf8970bb287902fd73668986c46c9516edb78a41d0e1443f330ae7acdc7c898182b960d1ed375182e649d9c601f53353cc020a5bb166b42d3cf
 SHA512 
567fe43695359c4ced2870f98a04a477db68c34aa2ccfd255702c78273b7a4b1466d4b4e32707817a36fa92ddf9ccf54587f77e7628fc63663ff64fc41e7e727

diff --git a/app-misc/elasticsearch/elasticsearch-6.5.1.ebuild 
b/app-misc/elasticsearch/elasticsearch-6.5.1.ebuild
new file mode 100644
index 00000000000..52da0c6d635
--- /dev/null
+++ b/app-misc/elasticsearch/elasticsearch-6.5.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd user
+
+DESCRIPTION="Open Source, Distributed, RESTful, Search Engine"
+HOMEPAGE="https://www.elastic.co/products/elasticsearch";
+SRC_URI="x-pack? ( https://artifacts.elastic.co/downloads/${PN}/${P}.tar.gz )
+       !x-pack? ( 
https://artifacts.elastic.co/downloads/${PN}/${PN}-oss-${PV}.tar.gz )"
+LICENSE="Apache-2.0 BSD-2 LGPL-3 MIT public-domain x-pack? ( Elastic )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="x-pack"
+
+RDEPEND="virtual/jre:1.8"
+
+QA_PRESTRIPPED="usr/share/elasticsearch/modules/x-pack-ml/platform/linux-x86_64/\(bin\|lib\)/.*"
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 /bin/bash /usr/share/${PN} ${PN}
+}
+
+src_prepare() {
+       default
+
+       rm bin/*.{bat,exe} LICENSE.txt NOTICE.txt || die
+       rmdir logs || die
+
+       if use x-pack; then
+               rm bin/x-pack/*.bat || die
+               rm -r modules/x-pack-ml/platform/{darwin,windows}-x86_64 || die
+       fi
+}
+
+src_install() {
+       keepdir /etc/${PN}
+       keepdir /etc/${PN}/scripts
+
+       insinto /etc/${PN}
+       doins -r config/.
+       rm -r config || die
+
+       fowners root:${PN} /etc/${PN}
+       fperms 2750 /etc/${PN}
+
+       insinto /usr/share/${PN}
+       doins -r .
+
+       exeinto /usr/share/${PN}/bin
+       doexe "${FILESDIR}/elasticsearch-systemd-pre-exec"
+
+       chmod +x "${ED}"/usr/share/${PN}/bin/* || die
+
+       if use x-pack; then
+               chmod +x 
"${ED}"/usr/share/${PN}/modules/x-pack-ml/platform/linux-x86_64/bin/* || die
+       fi
+
+       keepdir /var/{lib,log}/${PN}
+       fowners ${PN}:${PN} /var/{lib,log}/${PN}
+       fperms 0750 /var/{lib,log}/${PN}
+       dodir /usr/share/${PN}/plugins
+
+       insinto /etc/sysctl.d
+       newins "${FILESDIR}/${PN}.sysctl.d" ${PN}.conf
+
+       newconfd "${FILESDIR}/${PN}.conf.3" ${PN}
+       newinitd "${FILESDIR}/${PN}.init.5" ${PN}
+
+       systemd_install_serviced "${FILESDIR}/${PN}.service.conf"
+       systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles.d" ${PN}.conf
+       systemd_newunit "${FILESDIR}"/${PN}.service.3 ${PN}.service
+}
+
+pkg_postinst() {
+       elog
+       elog "You may create multiple instances of ${PN} by"
+       elog "symlinking the init script:"
+       elog "ln -sf /etc/init.d/${PN} /etc/init.d/${PN}.instance"
+       elog
+       elog "Please make sure you put elasticsearch.yml, log4j2.properties and 
scripts"
+       elog "from /etc/${PN} into the configuration directory of the instance:"
+       elog "/etc/${PN}/instance"
+       elog
+       ewarn "Please make sure you have proper permissions on /etc/${PN}"
+       ewarn "prior to keystore generation or you may experience startup 
fails."
+       ewarn "chown root:${PN} /etc/${PN} && chmod 2750 /etc/${PN}"
+       ewarn "chown root:${PN} /etc/${PN}/${PN}.keystore && chmod 0660 
/etc/${PN}/${PN}.keystore"
+}

Reply via email to